kind: pipeline
name: default

steps:
  - name: frontend-build
    image: node:latest
    commands:
      - sed -i '/"electron":/d' ./package.json
      - sed -i '/"electron-builder":/d' ./package.json
      - sed -i '/"express":/d' ./package.json
      - npm install
      - npm run build

  - name: docker-build
    image: plugins/docker
    settings:
      registry: code.anufrij.de
      repo: code.anufrij.de/webplay/client
      tags: latest
      dockerfile: ./docker/Dockerfile
      username:
        from_secret: username
      password:
        from_secret: password
    when:
      branch:
        - main